//Algorithm to calculate interest
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include<iostream>
#include<math.h>
using namespace std;
//Exercise 8
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
int main() {
	Run();
	return 0;
	}
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/
	double C;
	double i;
	double n;
	double c;
	double t;
	double M;
	double I;
	double e;
	double P;
	double p;
	double pc;
	double pi;
/********************************************************************************************************
												FUNCTION DEFINITION
**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//===================================================================================================================================================================================
void CollectData(){	
	cout<<"Ingrese el capital que sera depositado (en s/.) : ";
	cin>>C;
	cout<<"Ingrese la tasa de interes (en %) : ";
	cin>>i;
	cout<<"Ingrese el periodo del interes (en meses) : ";
	cin>>n;
	cout<<"Ingrese que tan capitalizable es (mestralmente) : ";
	cin>>c;
	cout<<"Ingrese el tiempo que durara el interes (en meses) : ";
	cin>>t;
}
//===================================================================================================================================================================================
void Calculate() {
	e=t/c;
	p=i/100;
	pi=n/c;
	pc=p/pi;
	P=pow(1+pc,e);
	M=C*P;
	I=M-C;
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"El monto compuesto acumulado es de : "<<M;
	cout<<"\n\rEl interes compuesto ganado es de : "<<I;
}
